VERSION 5.00
Begin VB.Form frmTestForm 
   AutoRedraw      =   -1  'True
   Caption         =   "Form1"
   ClientHeight    =   3690
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7980
   LinkTopic       =   "Form1"
   ScaleHeight     =   3690
   ScaleWidth      =   7980
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtMaxLines 
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   1560
      TabIndex        =   8
      Top             =   3000
      Width           =   855
   End
   Begin VB.CheckBox chkLimitSize 
      Caption         =   "Limit the height of the MessageBar"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   480
      TabIndex        =   6
      Top             =   2640
      Width           =   3135
   End
   Begin MSComctlLib.StatusBar StatusBar1 
      Align           =   2  'Align Bottom
      Height          =   315
      Left            =   0
      TabIndex        =   5
      Top             =   3375
      Width           =   7980
      _ExtentX        =   14076
      _ExtentY        =   556
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
            AutoSize        =   1
            Object.Width           =   13547
         EndProperty
      EndProperty
   End
   Begin MessageBar.MsgBar ctlInfoBar1 
      Height          =   255
      Left            =   0
      TabIndex        =   4
      Top             =   120
      Width           =   8055
      _ExtentX        =   14208
      _ExtentY        =   450
   End
   Begin VB.CommandButton btnError 
      Caption         =   "Do Error"
      Height          =   495
      Left            =   4920
      TabIndex        =   3
      Top             =   2040
      Width           =   1935
   End
   Begin VB.CommandButton btnWarn 
      Caption         =   "Do Warning"
      Height          =   495
      Left            =   2760
      TabIndex        =   2
      Top             =   2040
      Width           =   1935
   End
   Begin VB.TextBox txtTest 
      ForeColor       =   &H80000002&
      Height          =   975
      Left            =   1200
      MultiLine       =   -1  'True
      TabIndex        =   0
      Text            =   "Form1.frx":0000
      Top             =   840
      Width           =   5415
   End
   Begin VB.CommandButton btnCmd 
      Caption         =   "Do Info"
      Height          =   495
      Left            =   480
      TabIndex        =   1
      Top             =   2040
      Width           =   1935
   End
   Begin VB.Label lblMaxLines 
      Caption         =   "Max lines"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   720
      TabIndex        =   7
      Top             =   3000
      Width           =   855
   End
End
Attribute VB_Name = "frmTestForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub btnCmd_Click()
  '<EhHeader>
  On Error GoTo btnCmd_Click_Err
  '</EhHeader>
  ctlInfoBar1.SetMessage txtTest, ibInfo
  UpdateHeight

  Exit Sub
btnCmd_Click_Err:
  Dim le As New clsLogEntry

    Select Case Err.Number

    Case Else
      le.init Err.Number, enmLogEntryType.leFatal, Err.Source, Err.Description
  End Select

  eh.NotifyUser le, (enmEHNotifyType.Screen Or enmEHNotifyType.Log)
  '</EhFooter>
End Sub

Private Sub btnError_Click()
  ctlInfoBar1.SetMessage txtTest, ibError
  UpdateHeight
End Sub

Private Sub btnWarn_Click()
  'MsgBox "ibInfo"
  ctlInfoBar1.SetMessage txtTest, ibWarning
  UpdateHeight
  '<EhFooter>
End Sub

Private Sub chkLimitSize_Click()
  Dim bLimitSize As Boolean
  Dim nMaxLines As Integer
  
  bLimitSize = (chkLimitSize.Value = vbChecked)
  EnableMaxLines bLimitSize
  If bLimitSize Then
    nMaxLines = Val(txtMaxLines.Text)
    If nMaxLines > 0 Then
      ctlInfoBar1.MaximumLines = nMaxLines
    End If
  Else
    ctlInfoBar1.MaximumLines = -1
  End If
End Sub

Private Sub Form_Load()
  DisableMaxLines
End Sub

Private Sub Form_Resize()
  ctlInfoBar1.Width = Me.Width - 500
  ctlInfoBar1.Left = 180
  UpdateHeight
End Sub

Private Sub UpdateHeight()
  StatusBar1.Panels(1).Text = "Height = " & ctlInfoBar1.Height
End Sub

Private Sub txtMaxLines_Change()
  Dim nMaxLines As Integer
  nMaxLines = Val(txtMaxLines.Text)
  If nMaxLines > 0 Then
    ctlInfoBar1.MaximumLines = nMaxLines
  End If
End Sub

Private Sub EnableMaxLines(Optional ByVal bEnable As Boolean = True)
  lblMaxLines.Enabled = bEnable
  txtMaxLines.Enabled = bEnable
  If bEnable Then
    txtMaxLines.BackColor = vbWindowBackground
  Else
    txtMaxLines.BackColor = vbButtonFace
  End If
End Sub

Private Sub DisableMaxLines()
  EnableMaxLines False
End Sub
